List Chats

Beta

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Query parameters

idstringOptional
This is the unique identifier for the chat to filter by.
assistantIdstringOptional
This is the unique identifier for the assistant that will be used for the chat.
assistantIdAnystringOptional

Filter by multiple assistant IDs. Provide as comma-separated values.

squadIdstringOptional
This is the unique identifier for the squad that will be used for the chat.
sessionIdstringOptional
This is the unique identifier for the session that will be used for the chat.
previousChatIdstringOptional
This is the unique identifier for the previous chat to filter by.
pagedoubleOptional>=1
This is the page number to return. Defaults to 1.
sortOrderenumOptional
This is the sort order for pagination. Defaults to 'DESC'.
Allowed values:
limitdoubleOptional0-1000
This is the maximum number of items to return. Defaults to 100.
createdAtGtdatetimeOptional
This will return items where the createdAt is greater than the specified value.
createdAtLtdatetimeOptional
This will return items where the createdAt is less than the specified value.
createdAtGedatetimeOptional
This will return items where the createdAt is greater than or equal to the specified value.
createdAtLedatetimeOptional
This will return items where the createdAt is less than or equal to the specified value.
updatedAtGtdatetimeOptional
This will return items where the updatedAt is greater than the specified value.
updatedAtLtdatetimeOptional
This will return items where the updatedAt is less than the specified value.
updatedAtGedatetimeOptional
This will return items where the updatedAt is greater than or equal to the specified value.
updatedAtLedatetimeOptional
This will return items where the updatedAt is less than or equal to the specified value.

Response

resultslist of objects
metadataobject
Pagination and retention metadata returned with a paginated list of phone numbers.